--- title: "Get Action's Activation Detail" slug: "compute-cloudfunctions-getactionactivationdetail" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-cloudfunctions-getactionactivationdetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Action's Activation Detail Available in Classic and VPC Get details of the execution results of a Cloud Functions action. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/packages/{packageName}/actions/{actionName}/activations/{activationId} | Note Singapore and Japan Regions are available only in the VPC environment. ### Request headers For information about the headers common to all Cloud Functions APIs, see [Cloud Functions request headers](/docs/en/compute-cloudfunctions#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `packageName` | String | Required | Package name - Enter the special character "-" for actions that are not part of a package. - Example: `/packages/-/actions/myaction` | | `actionName` | String | Required | Action name | | `activationId` | String | Required | Action execution ID | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform type - `vpc` \| `classic` (default) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloudfunctions.apigw.ntruss.com/api/v2/packages/package003/actions/action000/activations/*****8494cef4237b618494cefe*****?platform=classic' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Action execution details | | `content.activationId` | String | - | Action execution ID | | `content.duration` | String | - | Action execution time (millisecond) | | `content.start` | Integer | - | Action execution start time (millisecond) - Unix timestamp format | | `content.end` | Integer | - | Action execution end time (millisecond) - Unix timestamp format | | `content.logs` | String[] | - | Action log | | `content.name` | String | - | Action name | | `content.namespace` | String | - | Namespace of the user | | `content.response` | String | - | Action activation result information | | `content.response.result` | String | - | Action execution result | | `content.response.status` | String | - | Action execution status | | `content.response.success` | Boolean | - | Action execution success status - `true` \| `false` - `true`: Success - `false`: Failure | | `content.subject` | String | - | Information of the user that executed the action | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "activationId": "*****8494cef4237b618494cefe*****", "duration": 1, "end": 1714111020171, "logs": [], "name": "package003/action000", "namespace": "****YBNz****", "response": { "result": { "payload": "abc" }, "status": "success", "success": true }, "start": 1714111020170, "subject": "****YBNz****" } } ```